#! /usr/bin/env python

''' Setup script for Polynum
'''

from setuptools import setup, find_packages

setup(name="Polynum",
      version=0.2,
      license="AGPLv3 or later",
      description="Polycopies numeriques",
      url="http://dev.entrouvert.org/projects/polynum/",
      author="Entr'ouvert",
      author_email="info@entrouvert.org",
      maintainer="Jerome Schneider",
      maintainer_email="jschneider@entrouvert.com",
      packages=find_packages(),
      package_data={},
      install_requires=[
          'django >= 1.4',
          'south >= 0.7',
          'django-crispy-forms',
          'django-sekizai',
          'pypdf',
          'django-cas >= 2.1.1', # not in pypi => pip install https://bitbucket.org/cpcc/django-cas/get/tip.tar.gz
          'django-grappelli >= 2.4', # not in pypi => pip install git+https://github.com/sehmaschine/django-grappelli@grappelli_2_4
          'flup',
          'psycopg2',
      ],
)
